Subject: Re: bug#30190: 27.0.50; term run in line mode shows user passwords

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jun 2018 19:27:40 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 20 Jun 2018 00:09:22 -0400
> 
> This patch missed 26.1, but perhaps we should consider it for 26.2?

I'm for fixing this in Emacs 26.2, but I still don't think I
understand why the latest patch proposed in the discussion of this bug
needs to "steal" so much from comint.el?

Also, why does term-watch-for-password-prompt need to be invoked via a
hook?